Bug 679944 - gnome shell failure
Summary: gnome shell failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-23 22:14 UTC by Clyde E. Kunkel
Modified: 2011-03-04 09:51 UTC (History)
8 users (show)

Fixed In Version: upower-0.9.8-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-04 09:51:58 UTC
Type: ---


Attachments (Terms of Use)
msgs from desktop-effects trying to invoke gnome shell (5.00 KB, text/plain)
2011-02-23 22:14 UTC, Clyde E. Kunkel
no flags Details

Description Clyde E. Kunkel 2011-02-23 22:14:02 UTC
Created attachment 480589 [details]
msgs from desktop-effects trying to invoke gnome shell

Description of problem:
gnome shell won't load in F15A RC 1 after 20110223 updates.

Version-Release number of selected component (if applicable):
gnome-shell-2.91.90-2.fc15.x86_64

How reproducible:
every time

Steps to Reproduce:
1. boot F15 Alpha RC1 with 20110223 updates in gnome desktop with panels
2. in a gnome-terminal use desktop-effects to request gnome shell
3.
  
Actual results:
No shell.  Freeze for about 45 secons, then desktop-effects window reverts to standard

Expected results:
gnome shell

Additional info:
Only failure reported by abrt was gnome-settings, but this has been occurring on every boot.

was able to get a gnome shell prior to today's updates.  Attachment contains the msgs in the gnome-terminal

Comment 2 Fedora Update System 2011-02-23 22:20:30 UTC
upower-0.9.8-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/upower-0.9.8-3.fc15

Comment 3 Tim Lauridsen 2011-02-24 10:56:18 UTC
I had a problem with gnome-shell was not starting after updating my F15 system.

I installed the updates in 

https://admin.fedoraproject.org/updates/upower-0.9.8-3.fc15

and it fixed the issue

Comment 4 Clyde E. Kunkel 2011-02-26 21:51:07 UTC
$ rpm -q upower
upower-0.9.8-3.fc15.x86_64

problem is back:


[kunkelc@P5K-EWIFI ~]$ gnome-shell --replace &
[1] 4613
[kunkelc@P5K-EWIFI ~]$ Gtk-Message: Failed to load module "pk-gtk-module"

GLib-GIO-ERROR **: schema does not contain a key named 'accessibility'
aborting...
Shell killed with signal 6
/usr/bin/gnome-shell:596: Warning: g_variant_new_bytestring: assertion `string != NULL' failed
  appinfo.launch()
/usr/bin/gnome-shell:596: Warning: g_variant_new_variant: assertion `value != NULL' failed
  appinfo.launch()
/usr/bin/gnome-shell:596: Warning: g_variant_get_type: assertion `value != NULL' failed
  appinfo.launch()
/usr/bin/gnome-shell:596: Warning: g_variant_type_is_subtype_of: assertion `g_variant_type_check (type)' failed
  appinfo.launch()
/usr/bin/gnome-shell:596: Warning: g_variant_builder_add_value: assertion `!GVSB(builder)->expected_type || g_variant_is_of_type (value, GVSB(builder)->expected_type)' failed
  appinfo.launch()
/usr/bin/gnome-shell:596: Warning: g_variant_builder_end: assertion `GVSB(builder)->offset >= GVSB(builder)->min_items' failed
  appinfo.launch()
Gtk-Message: Failed to load module "pk-gtk-module"
Cannot register the panel shell: there is already one running.
Gtk-Message: Failed to load module "pk-gtk-module"

GLib-GIO-ERROR **: schema does not contain a key named 'accessibility'
aborting...
Shell killed with signal 6

Comment 5 Clyde E. Kunkel 2011-02-27 23:38:49 UTC
Now also failing in Fedora 15 Alpha RC2 with updates as of 20110227


$ gnome-shell --replace &
Gtk-Message: Failed to load module "pk-gtk-module"
Window manager warning: Log level 16: AT-SPI: Accessibility bus not found - Using session bus.

(mutter:3538): Clutter-DEBUG: Signal type minimize not supported

(mutter:3538): Clutter-DEBUG: Signal type maximize not supported

(mutter:3538): Clutter-DEBUG: Signal type restore not supported

    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
Window manager warning: Log level 32: Execution of main.js threw exception: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
Gtk-Message: Failed to load module "pk-gtk-module"
Window manager warning: Log level 16: AT-SPI: Accessibility bus not found - Using session bus.

(mutter:3550): Clutter-DEBUG: Signal type minimize not supported

(mutter:3550): Clutter-DEBUG: Signal type maximize not supported

(mutter:3550): Clutter-DEBUG: Signal type restore not supported

    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
    JS ERROR: !!!   Exception was: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = 'gjs_throw'
    JS ERROR: !!!     stack = '("Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/statusMenu.js:8
'
    JS ERROR: !!!     message = 'Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found'
Window manager warning: Log level 32: Execution of main.js threw exception: Error: Requiring UPowerGlib, version none: Typelib file for namespace 'UPowerGlib' (any version) not found

Comment 6 Gus Wirth 2011-02-28 07:54:36 UTC
This is a duplicate of bug 680238. It appears there is an error in the upower package. Thomas Meyer reports that installing upower-devel fixes the problem.

Comment 7 James Laska 2011-02-28 14:44:14 UTC
The bodhi update at https://admin.fedoraproject.org/updates/upower-0.9.8-3.fc15,dbus-1.4.6-1.fc15,gobject-introspection-0.10.3-1.fc15 appears to resolve this issue.

To apply the update, be sure the 'updates-testing' repo is enabled

Comment 8 Fedora Update System 2011-03-03 02:46:42 UTC
upower-0.9.8-3.fc15, dbus-1.4.6-1.fc15, gobject-introspection-0.10.3-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update upower dbus gobject-introspection'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/upower-0.9.8-3.fc15,dbus-1.4.6-1.fc15,gobject-introspection-0.10.3-1.fc15

Comment 9 Fedora Update System 2011-03-04 09:51:53 UTC
upower-0.9.8-3.fc15, dbus-1.4.6-1.fc15, gobject-introspection-0.10.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.